#define PI	3.14159265
#define PIBY2	1.57079633

typedef union {
	double f;
	short e[4];
	char sc[8];			/* Assuming char signed */
	} dstruct;

/*									*/
/* Computes atan(quotient), and returns that for positive cos, else 	*/
/* extends the range depending on the sin.				*/
/* this function is for OSK and IEEE double-format solely !!!!! 	*/

double atan2(s, c) dstruct s, c;
{	double	r;
	double	atan();

	if ((c.e[0] & 0xfff0) == 0)	/* Infinite argument */
		return (s.sc[0]<0)?-PIBY2:PIBY2;

	r = atan( s.f / c.f);

	if ((c.e[0] & 0xfff0) >= 0)
		return r;			/* Range -pi/2..pi/2 */
	if ((s.e[0]  & 0xfff0) >= 0)
		return PI + r;
	return -PI + r;
}


gcvt(src, prec, dest)
double src;
int prec;
char *dest;
{
/* temporary hack */
	char tmp[20];

	sprintf(tmp,"%%.%dG",prec);
	sprintf(dest,tmp,src);
}

